<div class="container-fluid">
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
            <h3>CLUB MANAGEMENT</h3>
            <br>
        </div>
    </div>
</div>
<form id="form-list-act">
    <div id="list-act" class="container-fluid  tab-pane fade in active">
        <div class="panel panel-primary" id="list-act-panel">
            <!-- <div class="panel panel-danger" id="list-act-panel"> -->
            <div class="panel-heading panel-collapsed" onclick="collapsePanel(this);">
                <label>List of club management</label>
                <span class="pull-right aclick"><i class="glyphicon glyphicon-chevron-down"></i></span>
            </div>
            <% for (let x = 0; x < 1; x++) { %>
            <script>
                let check = "<%= user_types.user_type %>";
                $(function () {
                    let displayText;
                    if (check) {
                        if (check == "1" || check == "7") {
                            if (check == "7") {
                                $('#type-teacher').prop('checked', 'checked');
                            }
                            $('#activities-ta-teacher').prop('checked', 'checked');
                            displayText = "TA / Teacher";
                            $('#tb-ta-teacher').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "searchable": false
                                    }
                                ]
                            });
                        } else if (check == "2") {
                            $('#activities-student').prop('checked', 'checked');
                            displayText = "Student";
                            $('#tb-student').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "searchable": false
                                    }
                                ]
                            });
                        } else if (check == "3") {
                            $('#activities-check-student').prop('checked', 'checked');
                            displayText = "Check student";
                            const groupColumn = 1;
                            $('#tb-check-student').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "searchable": false
                                    },
                                    {
                                        "visible": false,
                                        "targets": groupColumn
                                    }
                                ],
                                "order": [[groupColumn, 'asc']],
                                "drawCallback": function (settings) {
                                    let api = this.api();
                                    let rows = api.rows({ page: 'current' }).nodes();
                                    let last = null;

                                    api.column(groupColumn, { page: 'current' }).data().each(function (group, i) {
                                        if (last !== group) {
                                            $(rows).eq(i).before(
                                                '<tr class="group"><td colspan="4"><span style="font-weight: bold;">' + "Club: " + group + '</span></td></tr>'
                                            );
                                            last = group;
                                        }
                                    });
                                }
                            });
                        } else if (check == "4") {
                            $('#activities-club').prop('checked', 'checked');
                            displayText = "Club";
                            $('#tb-club').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "searchable": false
                                    }
                                ]
                            });
                        } else if (check == "5") {
                            $('#activities-partner').prop('checked', 'checked');
                            displayText = "Partner";
                            $('#tb-partner').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "searchable": false
                                    }
                                ]
                            });
                        } else if (check == "6") {
                            $('#activities-club-relationship').prop('checked', 'checked');
                            displayText = "Club relatipnship";
                            $('#tb-club-relationship').DataTable({
                                responsive: true,
                                "columnDefs": [
                                    {
                                        "targets": [0],
                                        "visible": false,
                                        "sort": false,
                                        "searchable": false
                                    },
                                ]
                            });
                        }
                        $('#act-name').html(displayText);
                        $('#tab-content').show();
                        (check == "3") ? $('#add-edit').html(displayText) : $('#add-edit').html('Add: ' + displayText)
                        let radioButtons = $("#list-act input[type=radio][name=activities]");
                        let selectedIndex = radioButtons.index(radioButtons.filter(':checked'));
                        setShowByAct(selectedIndex);
                        onBlurInput($('#list-act-panel input[type=radio][name=activities]').parents('.panel:first'), 'radio', false);
                    }
                    $('#select-ta-teacher').change(function (e) {
                        const ddlSelected = $('#select-ta-teacher').val();
                        if (ddlSelected == "TA") {
                            window.location.assign('/club/1');
                        } else if (ddlSelected == "Teacher") {
                            window.location.assign('/club/7');
                        } //else {
                        //     alert('Please select');
                        // }
                    });


                    let pathname = window.location.pathname;
                    let pathType;
                    if(pathname){
                        pathType = pathname.split("/");
                        if(pathType[3] == "7"){
                            $('input:radio[name=checktype]')[1].checked = true;
                            $('#select-ta-teacher option[value=Teacher]').prop('selected','selected');
                        }else if (pathType[3] == "1"){
                            $('#select-ta-teacher option[value=TA]').prop('selected','selected');
                        }
                    }

                    // $('#choice-visit-panel input[type=radio][name=checktype]').change(function (e) {
                    //     let radioButtons = $("#list-act input[type=radio][name=activities]");
                    //     window.location.assign('/club/' + radioButtons.val())
                    // });
                })
                function onClick() {
                    //$('#form-list-act').attr('method', 'POST');
                    //$('#form-list-act').submit();

                    let hiddenID = $('.hidden_id').html(); 
                    //add data
                    if(!hiddenID){
                        $('#form-list-act').attr('method', 'POST');
                        $('#form-list-act').submit();
                    }
                    //update data
                    if(hiddenID){
                        $('#form-list-act').attr('action', '/club/update/' + hiddenID);
                        $('#form-list-act').attr('method', 'POST');
                        $('#form-list-act').submit();
                    } 
                }

                function UpdateData(id,ctrl){
                    let tableID = $(ctrl).closest('table').attr('id');
                    let table = $(`#${tableID}`).DataTable();
                    if(tableID == "tb-ta-teacher"){
                        $(`#${tableID} tbody`).on( 'click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            $('input[name="ta_firstname"]').val(data[1]);
                            $('input[name="ta_lastname"]').val(data[2]);
                            $('input[name="ta_telephone"]').val(data[3]);
                            $('input[name="ta_email"]').val(data[4]);
                            $('input[name="ta_firstname"]').focus();
                        } );
                    }else if(tableID == "tb-teacher"){
                        $(`#${tableID} tbody`).on( 'click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(date[0]);
                            $('input[name="ta_firstname"]').val(data[1]);
                            $('input[name="ta_lastname"]').val(data[2]);
                            $('input[name="ta_telephone"]').val(data[3]);
                            $('input[name="ta_email"]').val(data[4]);
                            $('input[name="ta_firstname"]').focus();
                        } );
                    }else if(tableID == "tb-student"){
                        $(`#${tableID} tbody`).on( 'click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            $('input[name="student_firstname"]').val(data[1]);
                            $('input[name="student_lastname"]').val(data[2]);
                            $('.filter-option-inner-inner').html(data[3]);
                            $('input[name="student_firstname"]').focus();
                        } );
                    }else if(tableID == "tb-club"){
                        $(`#${tableID} tbody`).on( 'click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            $('input[name="clubname"]').val(data[1]);
                            $('.filter-option-inner-inner').html(
                                $(`.selectpicker option[value="${data[2]}"]`).text()
                            );
                            event.preventDefault()
                            $('input[name="start_time"]').val(data[3]);
                            $('input[name="end_time"]').val(data[4]);                            
                            $('input[name="clubname"]').focus();
                        } );
                    }else if(tableID == "tb-partner"){
                        $(`#${tableID} tbody`).on( 'click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            $('input[name="partner_name"]').val(data[1]);
                            $('input[name="personal_contact"]').val(data[2]);
                            $('input[name="partner_tel"]').val(data[3]);
                            $('input[name="partner_email"]').val(data[4]);
                            $('textarea[name="aptitude"]').html(data[5]);
                            $('input[name="partner_name"]').focus();
                        } );
                    }else if(tableID == "tb-club-relationship"){
                        $(`#${tableID} tbody`).on('click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            console.log(data);
                        } );
                    }else if(tableID == "tb-check-student"){
                        $(`#${tableID} tbody`).on('click', 'tr', function () {
                            let data = table.row(this).data();
                            $('.hidden_id').html(data[0]);
                            $('.filter-option-inner-inner:eq(1)').html(data[1]);
                            $('.filter-option-inner-inner:eq(2)').html(data[2]);

                            let dllClub = $('select[name="ddl_check_clubname"] option');
                            let club = dllClub.filter(a => { return dllClub[a].text == data[1] });
                            let clubIndex = club.index();
                            console.log('.inner ul li:eq('+ (clubIndex-1) +')');
                            $('.inner ul li').removeClass('selected active');
                            $('.inner ul li:eq('+ (clubIndex-1) +')').addClass('selected active');
                            console.log(clubIndex);
                            console.log(data);
                        } );
                    }
                }

                function DeleteClubReationship(id) {
                    $('#confirm-delete').modal('show');
                    $("#modal-btn-no").on("click", function () {
                        $("#confirm-delete").modal('hide');
                    });
                    $("#modal-btn-yes").on("click", function () {
                        $("#confirm-delete").modal('hide');
                        $('#form-list-act').attr('action', '/club/delete/' + id);
                        $('#form-list-act').attr('method', 'POST');
                        $('#form-list-act').submit();
                    });
                }

                function validateEmail(ctrl){
                    var email = /^[A-Z0-9._%+-]+@([A-Z0-9-]+\.)+[A-Z]{2,4}$/i; 
                    if (!email.test(ctrl.val())){
                        alert('email invalid');
                        ctrl.val('');
                    }                   
                }
                function validatePhone(ctrl){
                    let phone = /([0-9]{10})|(\([0-9]{3}\)\s+[0-9]{3}\-[0-9]{4})/;
                    if (!phone.test(ctrl.val())){
                        alert('phone number invalid');
                        ctrl.val('');
                    }                       
                }
                // Order by the grouping
                // $('#tb-check-student tbody').on('click', 'tr.group', function () {
                //     var currentOrder = table.order()[1];
                //     if (currentOrder[0] === groupColumn && currentOrder[1] === 'asc') {
                //         table.order([groupColumn, 'desc']).draw();
                //     }
                //     else {
                //         table.order([groupColumn, 'asc']).draw();
                //     }
                // });
            </script>
            <div class="panel-body collapse">
                <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-ta-teacher" value="1" />
                            TA / Teacher
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-student" value="2" />
                            Student
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-check-student" value="3" />
                            Check student
                        </label>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-club" value="4" />
                            Club
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-partner" value="5" />
                            Partner
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="activities" id="activities-club-relationship" value="6" />
                            Club relationship
                        </label>
                    </div>
                </div>
            </div>
            <% } %>
        </div>
    </div>
    <div id="tab-content" class="tab-content" style="display: none;">
        <div id="content-all" class="container-fluid  tab-pane fade in active">
            <div class="jumbotron" style="background-color: #ffffff; padding: 0;">
                <!-- Header -->
                <!-- <div class="panel panel-danger" id="choice-visit-panel"> -->
                <div class="panel panel-primary" id="choice-visit-panel">
                    <div class="panel-heading panel-collapsed" onclick="collapsePanel(this);">
                        <label id="act-name"></label>
                        <span class="pull-right aclick"><i class="glyphicon glyphicon-chevron-down"></i></span>
                    </div>
                    <div class="panel-body collapse">
                        <fieldset>
                            <legend id="add-edit"></legend>
                        </fieldset>
                        <!--Add TA / Teacher-->
                        <div class="row" id="add-ta-teacher">
                            <div class="row text-center">
                                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-1 col-lg-1 col-xl-1">
                                    <label>Show List: </label>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2 form-group">
                                    <select class="form-control" id="select-ta-teacher" name="select_ta_teacher">
                                        <option value="0">--Please select--</option>
                                        <option value="TA">TA</option>
                                        <option value="Teacher">Teacher</option>
                                    </select>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0 ){ %>
                                <table class="hover" style="width:100%" id="tb-ta-teacher">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Firstname</th>
                                            <th>Lastname</th>
                                            <th>Telephone</th>
                                            <th>E-Mail</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.firstname %>
                                            </td>
                                            <td>
                                                <%= club.lastname %>
                                            </td>
                                            <td>
                                                <%= club.telephone %>
                                            </td>
                                            <td>
                                                <%= club.email %>
                                            </td>
                                            <td><button class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Firstname</th>
                                            <th>Lastname</th>
                                            <th>Telephone</th>
                                            <th>E-Mail</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-1 col-xl-1">
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-2 col-xl-2">
                                        <div class="row">
                                            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                                                <label>
                                                    <input type="radio" name="checktype" id="type-ta" value="TA"
                                                        checked />
                                                    TA
                                                </label>
                                            </div>
                                            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                                                <label>
                                                    <input type="radio" name="checktype" id="type-teacher" value="Teacher" />
                                                    Teacher
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <p class="hidden_id" style="display:none"></p>
                                        <label for="ta_firstname">ชื่อ</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="ta_firstname" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ta_lastname">นามสกุล</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="ta_lastname" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="telephone">เบอร์โทรศัพท์</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="ta_telephone" onblur="validatePhone($(this));" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="email">อีเมล์</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="ta_email" onblur="validateEmail($(this));" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Add Student-->
                        <div class="row" id="add-student">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0){ %>
                                <table class="hover" style="width:100%" id="tb-student">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Firstname</th>
                                            <th>Lastname</th>
                                            <th>Year</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.firstname %>
                                            </td>
                                            <td>
                                                <%= club.lastname %>
                                            </td>
                                            <td>
                                                <%= club.year %>
                                            </td>
                                            <td><button class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Firstname</th>
                                            <th>Lastname</th>
                                            <th>Year</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <p class="hidden_id" name="hidden_id" style="display:none"></p>
                                        <label for="student_firstname">ชื่อ</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="student_firstname" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="student_lastname">นามสกุล</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="student_lastname" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="student_year">ปี</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
                                        <select class="selectpicker" name="student_year" data-live-search="true" title="-- Please select --">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Add Check Student-->
                        <div class="row" id="add-check-student">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0){ %>
                                <table class="hover" style="width:100%" id="tb-check-student">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club </th>
                                            <th>Student Name</th>
                                            <th>Date</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.clubname %>
                                            </td>
                                            <td>
                                                <%= club.firstname %>
                                            </td>
                                            <td>
                                                <%= club.create_date %>
                                            </td>
                                            <td><button class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club </th>
                                            <th>Student Name</th>
                                            <th>Date</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <% for (let x = 0; x < 1; x++) { %>
                            <% if (user_types.user_type == "3"){ %>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <p class="hidden_id" style="display:none"></p>
                                        <label for="ddl_check_clubname">Club</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" id="ddl_check_clubname" name="ddl_check_clubname"
                                            data-live-search="true" title="-- Please select --">
                                            <% clubNames.forEach(clubName => { %>
                                            <option value="<%= clubName.cid %>">
                                                <%= clubName.clubname %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ddl_check_student">Student</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" data-live-search="true" multiple data-actions-box="true"
                                            multiple title="-- Please select --" id="ddl_check_student" name="ddl_check_student">
                                            <% students.forEach(student => { %>
                                            <option value="<%= student.sid %>">
                                                <%= student.student_name %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <% } %>
                            <% } %>
                        </div>
                        <!--Add Club-->
                        <div class="row" id="add-club">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0){ %>
                                <table class="hover" style="width:100%" id="tb-club">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club Name</th>
                                            <th>Day</th>
                                            <th>Start</th>
                                            <th>End</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.firstname %>
                                            </td>
                                            <td>
                                                <%= club.day %>
                                            </td>
                                            <td>
                                                <%= club.start_time %>
                                            </td>
                                            <td>
                                                <%= club.end_time %>
                                            </td>
                                            <td><button class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club Name</th>
                                            <th>Day</th>
                                            <th>Start</th>
                                            <th>End</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <p class="hidden_id" style="display:none"></p>
                                        <label for="clubname">Club name</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="clubname" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="club_day">วัน</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" name="club_day" data-live-search="true" title="-- Please select --">
                                            <option value="monday">จันทร์</option>
                                            <option value="tuesday">อังคาร</option>
                                            <option value="wednesday">พุธ</option>
                                            <option value="thursday">พฤหัส</option>
                                            <option value="friday">ศุกร์</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label>เวลาเริ่ม</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
                                        <input class="form-control" type="time" name="start_time" min="9:00" max="18:00"
                                            required /><span class="hours" style="color:gray">Office
                                            hours: 9AM to
                                            6PM</span>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label>เวลาสิ้นสุด</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-xl-4">
                                        <input class="form-control" type="time" name="end_time" min="9:00" max="18:00"
                                            required /><span class="hours" style="color:gray">Office
                                            hours: 9AM to
                                            6PM</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Add Partner-->
                        <div class="row" id="add-partner">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0){ %>
                                <table class="hover" style="width:100%" id="tb-partner">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Partner Name</th>
                                            <th>Contact Person</th>
                                            <th>Tel</th>
                                            <th>Email</th>
                                            <th>Aptitude</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.firstname %>
                                            </td>
                                            <td>
                                                <%= club.contact_person %>
                                            </td>
                                            <td>
                                                <%= club.telephone %>
                                            </td>
                                            <td>
                                                <%= club.email %>
                                            </td>
                                            <td>
                                                <%= club.aptitude %>
                                            </td>
                                            <td><button class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Partner Name</th>
                                            <th>Contact Person</th>
                                            <th>Tel</th>
                                            <th>Email</th>
                                            <th>Aptitude</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <p class="hidden_id" style="display:none"></p>
                                        <label for="partner_name">ชื่อ</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="partner_name" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="partner_tel">เบอร์โทรศัพท์</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="partner_tel" onblur="validatePhone($(this));" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="personal_contact">ผู้ติดต่อ</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="personal_contact" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="partner_email">อีเมล์</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <input type="text" name="partner_email" onblur="validateEmail($(this));" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                                        <label for="aptitude">ความถนัด</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <textarea rows="3" cols="50" name="aptitude" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Add Club Relationship-->
                        <div class="row" id="add-club-relationship">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                                <% if (clubs.length > 0){ %>
                                <table class="hover" style="width:100%" id="tb-club-relationship">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club Name</th>
                                            <th>Day</th>
                                            <th>Start</th>
                                            <th>End</th>
                                            <!-- <th>Student Name</th>
                                            <th>Teacher Name</th>
                                            <th>TA Name</th> -->
                                            <th>View</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% clubs.forEach(club => { %>
                                        <tr>
                                            <td>
                                                <%= club.id %>
                                            </td>
                                            <td>
                                                <%= club.clubname %>
                                            </td>
                                            <td>
                                                <%= club.day %>
                                            </td>
                                            <td>
                                                <%= club.start_time %>
                                            </td>
                                            <td>
                                                <%= club.end_time %>
                                            </td>
                                            <!-- <td>
                                                <%= club.student_name %>
                                            </td>
                                            <td>
                                                <%= club.teacher_name %>
                                            </td>
                                            <td>
                                                <%= club.ta_name %>
                                            </td> -->
                                            <td><button id="view-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="">View</button></td>
                                            <td><button id="edit-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="UpdateData('<%= club.id %>',this)">Edit</button></td>
                                            <td><button id="delete-club-relationship" class="btn btn-primary btn-sm"
                                                    onclick="DeleteClubReationship('<%= club.id %>')">Delete</button></td>
                                        </tr>
                                        <% }) %>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>Club Name</th>
                                            <th>Day</th>
                                            <th>Start</th>
                                            <th>End</th>
                                            <!-- <th>Student Name</th>
                                            <th>Teacher Name</th>
                                            <th>TA Name</th> -->
                                            <th>View</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <% } %>
                                <hr>
                            </div>
                            <% for (let x = 0; x < 1; x++) { %>
                            <% if (user_types.user_type == "6"){ %>
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <p class="hidden_id" style="display:none"></p>
                                        <label for="ddl_clubname">Club</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" id="ddl_clubname" name="ddl_clubname"
                                            data-live-search="true" title="-- Please select --">
                                            <% clubNames.forEach(clubName => { %>
                                            <option value="<%= clubName.cid %>">
                                                <%= clubName.clubname %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ddl-teacher">Teacher</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" id="ddl-teacher" name="ddl_teacher"
                                            data-live-search="true" title="-- Please select --">
                                            <% teachers.forEach(teacher => { %>
                                            <option value="<%= teacher.tid %>">
                                                <%= teacher.teacher_name %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ddl-student">Student</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" data-live-search="true" multiple data-actions-box="true"
                                            multiple title="-- Please select --" id="ddl-student" name="ddl_student">
                                            <% students.forEach(student => { %>
                                            <option value="<%= student.sid %>">
                                                <%= student.student_name %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ddl-ta">TA</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" data-live-search="true" multiple data-actions-box="true"
                                            multiple title="-- Please select --" id="ddl-ta" name="ddl_ta">
                                            <% tas.forEach(ta => { %>
                                            <option value="<%= ta.taid %>">
                                                <%= ta.ta_name %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
                                        <label for="ddl-partner">Partner</label>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                                        <select class="selectpicker" data-live-search="true" multiple data-actions-box="true"
                                            multiple title="-- Please select --" id="ddl-partner" name="ddl_partner">
                                            <% partners.forEach(partner => { %>
                                            <option value="<%= partner.pid %>">
                                                <%= partner.partner_name %>
                                            </option>
                                            <% }) %>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <% } %>
                            <% } %>
                        </div>
                        <br>
                        <hr>
                        <div class="row text-center">
                            <button type="submit" id="btn-submit" class="btn btn-primary" onclick="onClick()">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<div class="modal" tabindex="-1" role="dialog" id="modalRelationshpDetail">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">

            </div>
        </div>
    </div>
</div>
<div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true" id="confirm-delete">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Are you sure to delete this item?</h4>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" id="modal-btn-yes">Yes</button>
                <button type="button" class="btn btn-primary" id="modal-btn-no">No</button>
            </div>
        </div>
    </div>
</div>